Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.storage.btree
Class BTreeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.storage.btree.DBException
                  org.exist.storage.btree.BTreeException

All Implemented Interfaces:
  java.io.Serializable

public class BTreeException
extends DBException

A BTreeException is thrown by the BTree if an exception occurs in the managing of the BTree.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.exist.storage.btree.DBException
`faultCode`

Constructor Summary
`BTreeException()`
`BTreeException(int faultCode)`
`BTreeException(int faultCode, java.lang.String message)`
`BTreeException(java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BTreeException

    public BTreeException()

### BTreeException

    public BTreeException(java.lang.String message)

### BTreeException

    public BTreeException(int faultCode)

### BTreeException

    public BTreeException(int faultCode,
                          java.lang.String message)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.